# Created by pyp2rpm-3.3.1
%global pypi_name sphinxcontrib-trio

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 5
Summary:        Make Sphinx better at documenting Python functions and methods
Group:          Development/Python
License:        MIT or ASL 2.0
URL:            https://github.com/python-trio/sphinxcontrib-trio
Source0:        https://pypi.io/packages/source/s/sphinxcontrib-trio/%{pypi_name}-%{version}.tar.gz
Patch1:         0001-doc_fix-compat-with-Sphinx-6.0.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
This sphinx extension helps you document Python code that uses async/await,
or abstract methods, or context managers, or generators, or ... you get the
idea. It works by making sphinx's regular directives for documenting Python
functions and methods smarter and more powerful.

%package -n     python3-%{pypi_name}
Summary:        Make Sphinx better at documenting Python functions and methods
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(sphinx)
Obsoletes:      python3-sphinxcontrib_trio < 1.0.2-2
Provides:       python3-sphinxcontrib_trio = %{version}-%{release}

%description -n python3-%{pypi_name}
This sphinx extension helps you document Python code that uses async/await,
or abstract methods, or context managers, or generators, or ... you get the
idea. It works by making sphinx's regular directives for documenting Python
functions and methods smarter and more powerful.

%package -n python-%{pypi_name}-doc
Summary:        sphinxcontrib-trio documentation
Group:          Documentation
Obsoletes:      python-sphinxcontrib_trio-doc < 1.0.2-2

%description -n python-%{pypi_name}-doc
Documentation for sphinxcontrib-trio.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.MIT LICENSE.APACHE2 LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib_trio
%{python3_sitelib}/sphinxcontrib_trio-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.MIT LICENSE.APACHE2 LICENSE


%changelog
* Tue Feb 28 2023 daviddavid <daviddavid> 1.1.2-5.mga9
+ Revision: 1945842
- add patch to fix compat with Sphinx >= 6.0

* Tue Mar 29 2022 umeabot <umeabot> 1.1.2-4.mga9
+ Revision: 1832597
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 1.1.2-3.mga9
+ Revision: 1773083
- rebuild for python3.10

* Fri Mar 19 2021 guillomovitch <guillomovitch> 1.1.2-2.mga9
+ Revision: 1704993
- rebuild for python 3.9

* Fri Jun 12 2020 kekepower <kekepower> 1.1.2-1.mga8
+ Revision: 1592977
- Update to version 1.1.2

* Thu Apr 09 2020 kekepower <kekepower> 1.1.1-1.mga8
+ Revision: 1565709
- Update to version 1.1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1531385
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.0.2-2.mga8
+ Revision: 1439706
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 1.0.2-1.mga8
+ Revision: 1427322
- rename .src.rpm back to python-sphinxcontrib-trio
- update description

* Wed Apr 17 2019 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1392267
- Update to version 1.0.2

* Sat Jan 12 2019 daviddavid <daviddavid> 1.0.1-7.mga7
+ Revision: 1355445
- really obsoleted python-sphinxcontrib-trio

* Mon Jan 07 2019 shlomif <shlomif> 1.0.1-6.mga7
+ Revision: 1350308
- Rebuild for python3 3.7

* Sat Nov 17 2018 daviddavid <daviddavid> 1.0.1-5.mga7
+ Revision: 1330330
- obsolete also python-sphinxcontrib-trio-doc

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-4.mga7
+ Revision: 1290231
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 1.0.1-3.mga7
+ Revision: 1220504
- Finish renaming project, last part, the spec file
- Rename project to python-sphinxcontrib_trio
- Rename project to python-sphinxcontrib_trio

* Fri Apr 20 2018 kekepower <kekepower> 1.0.1-1.mga7
+ Revision: 1220468
- imported package python-sphinxcontrib-trio

